Skip to main content
GET
/
v1
/
operational-webhook
/
endpoint
/
{id}
TypeScript SDK
import { Solifyn } from 'solifyn';

const solifyn = new Solifyn({ apiKey: 'your_private_api_key_here' });

// Get operational webhook endpoint
const endpoint = await solifyn.webhookEndpoint.get('ep_1srOrx2ZWZBpBUvZwXKQmoEYga2');
console.log('Operational endpoint details:', endpoint);
{
  "id": "ep_1srOrx2ZWZBpBUvZwXKQmoEYga2",
  "url": "https://example.com/webhook/",
  "description": "Production monitoring endpoint",
  "disabled": false,
  "filterTypes": [
    "message.attempt.failing"
  ],
  "throttleRate": 0,
  "createdAt": "2026-05-30T14:11:29.071Z",
  "updatedAt": "2026-05-30T14:11:29.071Z",
  "metadata": {
    "environment": "production"
  },
  "uid": "monitoring-prod-endpoint",
  "secret": "whsec_C2FVsBQIhrscChlQIMV+b5sSYspob7oD"
}

Path Parameters

id
string
required

The endpoint ID or UID

Response

200 - application/json
id
string
required
Example:

"ep_1srOrx2ZWZBpBUvZwXKQmoEYga2"

url
string
required
Example:

"https://example.com/webhook/"

description
string
required
Example:

"Production monitoring endpoint"

disabled
boolean
required
Example:

false

filterTypes
string[]
required
Example:
["message.attempt.failing"]
throttleRate
number
required
Example:

0

createdAt
string<date-time>
required
Example:

"2026-05-30T14:11:29.071Z"

updatedAt
string<date-time>
required
Example:

"2026-05-30T14:11:29.071Z"

metadata
object
Example:
{ "environment": "production" }
uid
object
Example:

"monitoring-prod-endpoint"

secret
string

The endpoint's raw secret (only returned on POST creation).

Example:

"whsec_C2FVsBQIhrscChlQIMV+b5sSYspob7oD"